Last Comment Bug 605622 - Make findbar appear above content and style it properly
: Make findbar appear above content and style it properly
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: x86 All
-- normal (vote)
: seamonkey2.1b2
Assigned To: Stefan [:stefanh]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 14:51 PDT by Stefan [:stefanh]
Modified: 2010-10-31 13:49 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
flip the findbar and style it [Checked In: Comment 7] (1.93 KB, patch)
2010-10-19 14:51 PDT, Stefan [:stefanh]
iann_bugzilla: review+
neil: superreview+
Details | Diff | Splinter Review

Description User image Stefan [:stefanh] 2010-10-19 14:51:03 PDT
We have the findbar above content in view source and the browser, so I think we should have it the same in help.
Comment 1 User image Stefan [:stefanh] 2010-10-19 14:51:55 PDT
Created attachment 484482 [details] [diff] [review]
flip the findbar and style it [Checked In: Comment 7]
Comment 2 User image Stefan [:stefanh] 2010-10-19 14:52:51 PDT
If you're worried about the mac styling, see bug 605586
Comment 3 User image Stefan [:stefanh] 2010-10-19 14:55:50 PDT
  #help-sidebar-splitter {
   -moz-border-end: 1px solid #BEBEBE;
 }
+
+
+/* make findbar appear above content */

Ignore that extra line, I'll fix it on check-in
Comment 4 User image neil@parkwaycc.co.uk 2010-10-20 05:49:25 PDT
Comment on attachment 484482 [details] [diff] [review]
flip the findbar and style it [Checked In: Comment 7]

>+/* style findbar for being on top */
>+#FindToolbar {
>+  border-top: none;
Ideally the top border would actually be 1px solid ThreeDHighlight;
(same as a regular toolbar) (in all three windows) although the existing -moz-border-top-colors makes this a little trickier.
Comment 5 User image neil@parkwaycc.co.uk 2010-10-20 05:50:37 PDT
(In reply to comment #4)
> (in all three windows)
But separately after this and bug 605586 are fixed of course.
Comment 6 User image Ian Neal 2010-10-23 08:14:45 PDT
Comment on attachment 484482 [details] [diff] [review]
flip the findbar and style it [Checked In: Comment 7]

r=me
Comment 7 User image Ian Neal 2010-10-23 08:18:08 PDT
Comment on attachment 484482 [details] [diff] [review]
flip the findbar and style it [Checked In: Comment 7]

http://hg.mozilla.org/comm-central/rev/dfde00c9b4fc
Comment 8 User image Stefan [:stefanh] 2010-10-23 09:35:49 PDT
Thanks for landing it Ian.
Comment 9 User image Stefan [:stefanh] 2010-10-31 12:54:11 PDT
JFTR, I noticed that we missed comment #3, so I fixed that in http://hg.mozilla.org/comm-central/rev/26435a548ad9
Comment 10 User image Stefan [:stefanh] 2010-10-31 13:49:34 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > (in all three windows)
> But separately after this and bug 605586 are fixed of course.

ftr, I filed bug 608623.

Note You need to log in before you can comment on or make changes to this bug.